Subject: Re: bug#8500: util: where am i

From: Cédric Arbogast <[email-masked]>
Date: Mon, 18 Apr 2011 11:23:51 +0200

Hello,

You argue about the "old fashioned" way of the GNU tools without regard on
compatibility, compaction and efficiency requirements.

A "whereim" command implies providing a functionnality already provided by
other tools. Multiple tools for  the same things is, imho, not the best
choice in the case of the core tools.

GNU is not Unix, but this also means that you can do things yourself.

Make a "whereim" command, make publicly available your version of the
coreutils with it or the corresponding patch.

Time will let us know if it was a pertinent move.

Regards, Cedric.

On Mon, Apr 18, 2011 at 9:49 AM, Panagiotis Tsiamis <[email-masked]>wrote:

> Hey bob,
>
> You are really funny :)
> In which movie you saw that thing ?
>
>
> Anyway, if all of you still agree that the old fashion cli that is common
> legacy of unix back to 60"s must continue as is and nothing new
> and clever should arise after 50 years i have nothing more to say. And yes
> i
> believe that having an awkward command line based only on "cutted" words
> and system calls based on 60"s where K&R wouldn't have enough resources to
> make them, somewhat clearer i should stop right now the discussion.
>
> Hope there are some people that are realising the fact that the unix cli
> after 50 years is like a dinosaur. Yet a powerfull dinosaur but still a
> dino.
> We could have a more powerfull cli based in more human logic (like sql
> syntax maybe) more integrated logfiles that could easily be read and
> filtered out by one utillity (why everytime you need to search in logfiles,
> you end in a grep "pat" log|awk '{print blah}'|sed -e 's/dasd/dsa/g'|....).
> And dont stick to the example of syslog and say this is the syslog program
> that is responsible for this. I thought that gnu is creating a unix like
> operating system that is not unix. But all i see is something that is a lot
> of  old fashion and legacy unix. What is been really changed from the old
> fashion unix shell? Oh yes, the list directory command has colors, the get
> regular expression and print command has recursive search. Wow, but i could
> easy use a find . -type f |exec grep -i {} \; .. so why put this feature to
> gnu grep? Why not. Why to create an integrated and easy command to check
> some things and  see where i am? why not.
>
> You can leave it be dino for ever or you can evolve. Your choise.
>
> BR :)
>
> 2011/4/15 Bob Proulx <[email-masked]>
>
> > Erik Auerswald wrote:
> > > uname -n
> >
> > A problem with uname is that traditionally this would truncate names
> > to eight characters.  (I once had a hostname "aphrodite" and it would
> > always emit "aphrodit".)  The uname structures are really problematic.
> > I recommend avoiding them.
> >
> > > All in all I don't see a need for a 'whereami' utility at all.
> >
> > For what it is worth I agree.  What is available is already available.
> > And what isn't available such as gps location isn't possible to be
> > available and would have severe privacy concerns if it were.
> >
> > Bob
> >
> > P.S. I have always wanted a utility to send lightning bolts out of the
> > keyboard just like what is shown in the movies when someone is
> > repelling a computer attack.  But I don't think I will ever get that
> > one either.
> >
>
>
>
> --
> *Panayotis Tsiamis
> Systems / Software Engineer*
> *Tel: 0030 6977456436
> E-Mail*: [email-masked]
>